#### FLAMCODE

#### Synopsis

    HELP:   Character set for string encoding in the FLAMFILE [SYSTEM]
    TYPE:   NUMBER
    SYNTAX: FLAMCODE/FLAMC=SYSTEM/ASCII/EBCDIC

#### Description

This parameter specifies the character set which is to be used to represent charactercoded information in the FLAMFILE during the compression procedure, such as the filename and control characters.

In adc, cx8, and vr8 modes, this only concerns the information contained in the FLAM file header, such as the original filename and a few control characters, since the compressed file is represented in binary form.

In cx7 mode, all FLAM control characters in the compressed file (FLAMFILE) are also coded in this character set.

The characters extracted from the original data, however, remain unaffected in all modes. Their translation can be achieved by the translate parameter, see parameter MODE.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `FLAMCODE=EBCDIC/ASCII`
  - `FLAMC=EBCDIC/ASCII`
    - Note: If the original data is in ASCII character code, a better compression ratio is obtained using `FLAMCODE=ASCII`.
- UNIX
  - `-flamcode=character set`
- WINDOWS
  - `-flamcode=character set`

Values

- z/OS
  - `EBCDIC` for FLAM syntax in EBCDIC code.
  - `ASCII` for FLAM syntax in ASCII code.
- UNIX / WINDOWS
  - `ebcdic` for FLAM syntax in EBCDIC code.
  - `ascii` for FLAM syntax in ASCII code.

Default

- z/OS
  - `EBCDIC`
- UNIX
  - none
- WINDOWS
  - none

Valid for

- compression

#### Selections

- `SYSTEM - System specific encoding`
- `ASCII - String encoding in ASCII`
- `EBCDIC - String encoding in EBCDIC`